Subject: Re: Why not clone to a remote directory over SSH

From: Nick Hengeveld <[email-masked]>
Date: Wed, 23 Nov 2005 16:19:55 -0800

On Thu, Nov 24, 2005 at 12:41:56AM +0100, Johannes Schindelin wrote:

> Obviously, this only works if the other side can connect to this side via 
> ssh. Hmm. Firewalls? Disabled sshd? `hostname` not reliably returning a 
> valid address for the remote side?

If sshd is running locally, you can forward a port back to yourself and
have the remote clone localhost:`pwd`.  Assuming there's a way to clone
using a nonstandard port.

-- 
For a successful technology, reality must take precedence over public
relations, for nature cannot be fooled.